function [flipped_tri_ind] = find_flipped_triangles(T, ipts, opts)
% function [flipped_tri_ind] = find_flipped_triangles(T, ipts, opts)
%
% Dr. A. I. Hanna (2006)
flipped_tri_ind = [];
for i = 1:size(T,1)
    t = T(i,:);
    i_n = tri_2d_calc_signed_area(t, ipts);
    o_n = tri_2d_calc_signed_area(t, opts);
    if sign(i_n)*sign(o_n) == -1
        flipped_tri_ind(end+1) = i;
    end
end
